*******************************************************************************************************************************
*******************************************************************************************************************************

//Description of baseline sample for comparison with analytical sample 
//02_an_Comparison_Baseline_vs_Analytical.do

*For Descriptives on analytical sample see "03_an_Descriptives.do" 

*******************************************************************************************************************************
*******************************************************************************************************************************

//Use baseline sample for comparison with analytical sample

use "${posted}/01_BaselineSample", clear

*******************************************************************************************************************************
*******************************************************************************************************************************

//generate auxilary variable for description at
//respondent level --> Dummy equals 1 only for one line per person
//to obtain descriptives on respondent level, enter "if personlevel == 1"

bysort hhidpn (kidid): gen personlevel = _n == 1 
label var personlevel "Qualifier for respondent-level analysis" 

*******************************************************************************************************************************
*******************************************************************************************************************************

*Age
sum ragey if personlevel == 1


***********************************************
***********************************************

*Education: categorical
recode raeduc (1 = 1 "less than high school") ///
(2 3 = 2 "high school graduate") ///
(4 5 = 3 "at least some college"), gen(reduc)

fre reduc if personlevel == 1


***********************************************
***********************************************

*Number of children
sum kidsindata if kidsindata < 13 & personlevel == 1


***********************************************
***********************************************

*Gender
recode ragender (2 = 1 "female") (1 = 0 "male"), gen(rgender)
sum rgender if personlevel == 1


***********************************************
***********************************************

*Partnership status
recode rmstat (1 3 = 1 "partnered") (2 4 5 6 7 8 = 0 "no partner") , gen(rpartner)
fre rpartner if personlevel == 1

*******************************************************************************************************************************
*******************************************************************************************************************************

