*******************************************************************************************************************************
*******************************************************************************************************************************

//Descriptive Results
//03_an_Descriptives.do


*******************************************************************************************************************************
*******************************************************************************************************************************

//Open dataset

use  "${posted}/02_AnalyticalSample", clear


*******************************************************************************************************************************
*******************************************************************************************************************************

****************************
//Table 1
//Respondent (Parent) Level
****************************

*To obtain descriptives on respondent level, enter "if personlevel == 1"
*personlevel --> Dummy equals 1 only for one line per person

***********************************************

*Gender
sum rgender if personlevel == 1

*Age
sum ragey_W2 if personlevel == 1

*Partnership status
fre rpartner_W2 if personlevel == 1 

*Number of children
sum kidsindata if personlevel == 1

*Education: categorical
fre reduc if personlevel == 1

*Race
fre rrace if personlevel == 1

*Difficulties with IADLs
sum riadlza* if personlevel == 1

*Difficulties with ADLs
sum radla* if personlevel == 1




*******************************************************************************************************************************
*******************************************************************************************************************************

******************************
//Table 2
//Characteristics of children
******************************

*Gender
fre kfemale

*Birth order
fre kfirstborn if kfirstborn_miss != 1

*Relation to respondent
fre krrel

*Years of education
sum keduyears if keduyears_miss != 1
fre keduyears_miss

*Age
sum kage if kage_miss != 1
sum kage_W2 if kage_W2_miss != 1
fre kage*miss

*Partnership status
fre kcouple 
fre kcouple_W2 

*Child has own children
fre khaskid if khaskid_miss != 1
fre khaskid_W2 if khaskid_W2_miss != 1
fre khaskid*miss


*Employment status
fre kwork if kwork_miss != 1
fre kwork_miss

fre kwork_W2 if kwork_W2_miss != 1
fre kwork_W2_miss



*******************************************************************************************************************************
*******************************************************************************************************************************

***************
//Table 3
//Dyadic Level
***************

//Dyadic outcome measure
fre outcome

**********

*Distance W1
fre kdist if kdist_miss != 1
fre kdist_miss  

*Distance W2
fre kdist_W2 if kdist_W2_miss != 1
fre kdist_W2_miss  

*Contact frequency W1
fre kcontact if kcontact_miss != 1
fre kcontact_miss

*Contact frequency W2
fre kcontact_W2 if kcontact_W2_miss != 1
fre kcontact_W2_miss

**********

//Reciprocity indicators

*Child received financial transfer W1
fre ktcany if ktcany_miss != 1
fre ktcany_miss

*Child received financial transfer W2
fre ktcany_W2 if ktcany_W2_miss != 1
fre ktcany_W2_miss

*Child included in will W1
fre kwill if kwill_miss != 1
fre kwill_miss

*Child included in will W2
fre kwill_W2 if kwill_W2_miss != 1
fre kwill_W2_miss


*Child is beneficiary of life insurance W1
fre klfins if klfins_miss != 1
fre klfins_miss

*Child is beneficiary of life insurance W2
fre klfins_W2 if klfins_W2_miss != 1
fre klfins_W2_miss


**********

//Path dependency

*Child helps with IADLs W1
fre khlpiadl if khlpiadl_miss != 1
fre khlpiadl_miss

*Child helps with IADLs W2
fre khlpiadl_W2 if khlpiadl_W2_miss != 1
fre khlpiadl_W2_miss


**********

//Parental expectation

*Child named as expected caregiver
fre kfuturehelp if kfuturehelp_miss != 1
fre kfuturehelp_miss

*Test outcome conditional on expected caregiver status
fre outcome if kfuturehelp == 1

*Child is caregiver: Test if named as expected caregiver
fre kfuturehelp if kfuturehelp_miss != 1 & outcome == 1


*******************************************************************************************************************************
*******************************************************************************************************************************

//Table 4
//Detailed information on caregiving arrangements (family level)

*overall
fre carearrangement carearrangement2 if personlevel == 1

*by family size
tab kidsindata carearrangement2 if personlevel == 1 & kidsindata <= 6, row 

*by gender constellation
tab gendercomposition carearrangement2 if personlevel == 1, row //parents
tab gendercomposition carearrangement2 if personlevel == 1 & rgender == 1, row //mothers
tab gendercomposition carearrangement2 if personlevel == 1 & rgender == 0, row  //fathers


*******************************************************************************************************************************
*******************************************************************************************************************************



